## gate.gui
Class ApplicationEditor.RemovePRAction

    java.lang.Object
      |
      +--javax.swing.AbstractAction
            |
            +--gate.gui.ApplicationEditor.RemovePRAction

All Implemented Interfaces:
  Action, ActionListener, Cloneable, EventListener, Serializable

Enclosing class:
  ApplicationEditor

class ApplicationEditor.RemovePRAction
extends AbstractAction

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.AbstractAction
`AbstractAction.ArrayTable`

Field Summary
`(package private) ProcessingResource` `pr`

Fields inherited from class javax.swing.AbstractAction
`arrayTable, changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`(package private)` `ApplicationEditor.RemovePRAction(ProcessingResource pr)`

Method Summary
`void` `actionPerformed(ActionEvent e)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getValue, isEnabled, putValue, readObject, removePropertyChangeListener, setEnabled, writeObject`

Methods inherited from class java.lang.Object
`<clinit>, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### pr

    ProcessingResource pr

Constructor Detail

### ApplicationEditor.RemovePRAction

    ApplicationEditor.RemovePRAction(ProcessingResource pr)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Overrides:
    `actionPerformed` in class `AbstractAction`